<html>
<head></head>
<body>
{{# article}}
<h2>{{header}}</h2>
<br> {{content}}
<br>
<h2> Comments: </h2>
{{#comments}}
    <br> Author: {{author}}
    <br> Content: {{content}}
    {{#isAdmin}}
        <br> <form method="post" action="/blog-engine/article/{{articleId}}/comment/{{id}}">
            <input type="hidden" name="_method" value="delete">
            <input type="submit" value="delete">
        </form>
    {{/isAdmin}}
{{/comments}}
<br>

<form method="post" action="/blog-engine/article/{{id}}/comment">
    <h2> Enter your comment here: </h2>
    {{#errorMessages}}
        <br/>Error : {{.}}
    {{/errorMessages}}
    <br/>
    {{#username}}
    <label><br/>Author: <input type="text" name="author" value="{{.}}"readonly/></label>
    <label><br/>Comment: <input type="text" name="content"/></label>
    <input type="hidden" name="articleId" value="{{id}}"/>
    <input type="submit" value="save comment">
    {{/username}}
</form>

{{/article}}
</body>
</html>